Skip to navigation

Create encounter pre-service run

Submit a representation of an encounter to the Taiga rules engine. Note that this encounter will not be created in Taiga. Returns a run_id that can be polled via GET /runs/{run_id} to retrieve the results once complete.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Request

This endpoint expects an object.
entityobjectRequired
The encounter to evaluate against the rules engine.
pipeline_idstringRequired
Identifies the set of rules to run against the encounter.
enabled_rule_idslist of stringsRequired

IDs of disabled rules to force-enable for this run (e.g. for testing new rules).

disabled_rule_idslist of stringsRequired

IDs of enabled rules to force-disable for this run (e.g., to “override” or skip certain rules).

idempotency_keystringRequired
Prevents multiple rule runs from being dispatched in response to duplicate requests.

Response

Errors

403
Forbidden Error
422
Unprocessable Entity Error